Page MenuHomePhabricator

Image highlight behind overlay is not moving when browser is resized
Closed, ResolvedPublic8 Story Points

Description

Image highlight follows the image when browser is resized only until it's behind an overlay. Here is the demo:

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (8231b4d88)
VisualEditor/VisualEditor : masterNever store ve.debounce in prototype

Related Objects

Event Timeline

Petar.petkovic triaged this task as Low priority.Jun 8 2018, 3:57 PM
Petar.petkovic created this task.

Change 439371 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Never store ve.debounce in prototype

https://gerrit.wikimedia.org/r/439371

This was a nasty one - we were misusing ve.debounce and ending up with a sort of static binding (to the ce.Surface 'position' event, which redraws the highlights), so when you opened up the dialog, only the sub-surface used by the caption was firing 'positon' events.

Change 439371 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Never store ve.debounce in prototype

https://gerrit.wikimedia.org/r/439371

Change 439624 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8231b4d88)

https://gerrit.wikimedia.org/r/439624

Change 439624 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8231b4d88)

https://gerrit.wikimedia.org/r/439624

Deskana closed this task as Resolved.Jun 18 2018, 3:39 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 18 2018, 3:39 PM
Vvjjkkii renamed this task from Image highlight behind overlay is not moving when browser is resized to ydbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii removed the point value for this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ydbaaaaaaa to Image highlight behind overlay is not moving when browser is resized.Jul 2 2018, 12:50 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot reassigned this task from CommunityTechBot to Esanders.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot set the point value for this task to 8.
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot added a subscriber: CommunityTechBot.